const state = {
  items: [],
}

const getters = {
  items: state => state.items,
  itemCount: state => state.items.length,
}

const actions = {
  addItem ({commit}, item) {
    commit('addItem', item)
  }
}

const mutations = {
  addItem (state, item) {
    state.items.push(item)
  }
}

export default {
  namespaced: true,
  state,
  getters,
  actions,
  mutations,
}
